diff scripts/backup-container.sh @ 326:b35f4af06ed4 production vv2.6.0

flow: Merged <release> 'v2.6.0' to <master> ('production').
author aldrich@ssdt-ohio.org
date Tue, 12 Nov 2019 16:16:00 +0000
parents 2cb1093f9aef
children
line wrap: on
line diff
--- a/scripts/backup-container.sh	Wed May 01 15:33:00 2019 +0100
+++ b/scripts/backup-container.sh	Tue Nov 12 16:16:00 2019 +0000
@@ -17,27 +17,48 @@
 
 project=$(composeGetProject)
 
-set -o pipefail
-mkdir -p ./backup
-backupFile=./backup/${project}-${container}.$(date +%Y-%m-%d-%H-%M-%S).backup
-
-echo "preparing to backup ${container} on current project at ${projectDir}:"
-echo " "
-
-
+#If the project is empty, we want to stop the process because this is being run from the wrong directory
 
 if [ "$project" == "" ]; then
    echo "no project available"
    exit 1
 fi
 
+set -o pipefail
+mkdir -p ./backup
+##
+##This one puts a space before the IRN
+IRN=$(docker-compose exec -T $container psql --username=postgres --dbname=$container -t -c 'select irn from organization') 
+##Trim function in postgres didn't work - so take out the extra space this way.
+IRN=`echo $IRN | sed -e 's/^[[:space:]]*//'`
+
+## if database is empty, it will put IRN 000000
+if [ "$IRN" == "" ]; then
+   echo "no IRN set,using 000000"
+    IRN=000000
+fi
+
+backupFile=./backup/${IRN}${project}-${container}.$(date +%Y-%m-%d-%H-%M-%S).backup
+
+echo "Project is $project"
+echo "Container is $container"
+echo "IRN is $IRN"
+
+echo "backup file ${backupFile}"
+echo "preparing to backup ${container} on current project at ${projectDir}:"
+echo " "
+
+
+
 echo "starting backup of $container for $project"
 docker-compose exec -T $container sh -c "gosu postgres pg_dump -Cc --if-exists --dbname=$container ; (exit $?) " > ${backupFile}
 
 if [[ $( grep --count "CREATE TABLE" ${backupFile} ) -lt 200 || $( grep --count "PostgreSQL database dump complete" ${backupFile} ) -eq 0 ]]; then
    echo "ERROR: backup verification FAILED"
+   echo "Error: empty database"
    echo "ERROR: $(tail ${backupFile})"
-   exit 1
+  # We want the process to continue even if the db is blank
+  # exit 1
 fi
 
 gzip ${backupFile}